; *****
; POKER2.MRC  V 2.1
; *****
; poker2.mrc created by WabbyTwax - #EMUROMS (UNDERNET)
; WabbyTwax@aol.com
; This script requires mIRC version 5.3 or later
; *****
; INSTALLATION
; unzip poker2.zip
; into your main mIRC directory  <----
; Then type:
; /load -rs \poker2\poker2.mrc
; OR load the script from within your mIRC remote
; It will ask you if you want to perform 
; the initialization commands
; Press YES.
; *****
; You should now have an
; extra popup at the bottom
; of the Channel Popup
; menu.
; *****

on 1:KEYDOWN:@Poker_Table:*:{
  if ($keyval = 49) { dealselfclick 41 48 1 }
  if ($keyval = 50) { dealselfclick 99 48 1 }
  if ($keyval = 51) { dealselfclick 160 48 1 }
  if ($keyval = 52) { dealselfclick 216 48 1 }
  if ($keyval = 53) { dealselfclick 277 48 1 }
  if ($keyval = 97) { dealselfclick 41 48 1 }
  if ($keyval = 98) { dealselfclick 99 48 1 }
  if ($keyval = 99) { dealselfclick 160 48 1 }
  if ($keyval = 100) { dealselfclick 216 48 1 }
  if ($keyval = 101) { dealselfclick 277 48 1 }
  if ($keyval = 13) { dealselfclick 157 132 1 }
  if ($keyval = 66) { dealselfclick 55 333 1 }
  if ($keyval = 77) { dealselfclick 47 301 1 }
  if ($keyval = 72) { run $mircdir $+ poker2\helpfultips.txt }
}

ON 1:LOAD:{
  set %card1.tog draw.bmp
  set %card2.tog draw.bmp
  set %card3.tog draw.bmp
  set %card4.tog draw.bmp
  set %card5.tog draw.bmp
  set %dealnewgame deal.bmp
  if (%owebank = $null) { set %owebank 0 }
  if (%pokerbet = $null) { set %pokerbet 5 }
  if (%totalcredit = $null) { set %totalcredit 95 }
  ; THIS SECTION COPIES BAZOOKA.TTF TO YOUR WINDOWS\FONTS FOLDER
  set %windowsdir $findfile(c:\,win.com,1)
  set %windowsnum $len(%windowsdir)
  set %windowsnum $calc(%windowsnum - 7)
  set %windowsdir $left(%windowsdir, %windowsnum) $+ fonts\
  set %windowsdir2 %windowsdir $+ bazooka.ttf
  if ($exists(%windowsdir2) == $true) { goto skipfontcopy }
  /copy $mircdir $+ poker2\bazooka.ttf %windowsdir $+ bazooka.ttf
  /run %windowsdir
  :skipfontcopy
  unset %windowsdir
  unset %windowsdir2
  unset %windowsnum
  notice $me Right Click and select Wabbit's Poker to play!
}

menu channel {
  -
  Wabbit's Poker: {
    .Play By Your Self:{
      if (%tablex == $null) { set %tablex 0 | set %tabley 0 }
      /shuffle
    }
    .Rank Of Winning Hands:/run $mircdir $+ poker2\winninghands.txt
    .Helpful Tips!:/run $mircdir $+ poker2\helpfultips.txt
  }
}

menu query {
  -
  Wabbit's Poker: {
    .Play By Your Self:{
      if (%tablex == $null) { set %tablex 0 | set %tabley 0 }
      /shuffle
    }
    .Rank Of Winning Hands:/run $mircdir $+ poker2\winninghands.txt
    .Helpful Tips!:/run $mircdir $+ poker2\helpfultips.txt
  }
}

menu status {
  -
  Wabbit's Poker: {
    .Play By Your Self:{
      if (%tablex == $null) { set %tablex 0 | set %tabley 0 }
      /shuffle
    }
    .Rank Of Winning Hands:/run $mircdir $+ poker2\winninghands.txt
    .Helpful Tips!:/run $mircdir $+ poker2\helpfultips.txt
  }
}      

menu @Poker_Table {
  sclick:/dealselfclick $mouse.x $mouse.y $mouse.key
}

alias maketable {
  if ($window(@Poker_Table).status == $null) {
    window -pdo @Poker_Table %tablex %tabley 323 387 @Poker_Table FixedSys 9
  }
  set %tablex $window(@Poker_Table).x
  set %tabley $window(@Poker_Table).y
  /drawfill @Poker_Table 1 1 0 0 %mircdir $+ poker2\table.bmp
  /drawpic -c @Poker_Table 15 10 %mircdir $+ poker2\ $+ %card1
  /drawpic -c @Poker_Table 73 10 %mircdir $+ poker2\ $+ %card2
  /drawpic -c @Poker_Table 131 10 %mircdir $+ poker2\ $+ %card3
  /drawpic -c @Poker_Table 189 10 %mircdir $+ poker2\ $+ %card4
  /drawpic -c @Poker_Table 247 10 %mircdir $+ poker2\ $+ %card5
  /drawpic -tc @Poker_Table 0 17 86 %mircdir $+ poker2\ $+ %card1.tog
  /drawpic -tc @Poker_Table 0 75 86 %mircdir $+ poker2\ $+ %card2.tog
  /drawpic -tc @Poker_Table 0 133 86 %mircdir $+ poker2\ $+ %card3.tog
  /drawpic -tc @Poker_Table 0 191 86 %mircdir $+ poker2\ $+ %card4.tog
  /drawpic -tc @Poker_Table 0 249 86 %mircdir $+ poker2\ $+ %card5.tog
  /drawpic -tc @Poker_Table 0 90 120 %mircdir $+ poker2\ $+ %dealnewgame
  /drawpic -tc @Poker_Table 0 5 150 %mircdir $+ poker2\seperator.bmp
  /drawpic -tc @Poker_Table 0 75 165 %mircdir $+ poker2\yourbest.bmp
  /drawtext -cr @Poker_Table $rgb(6,44,181) bazooka 28 5 190 326 324 %besthand
  /drawtext -cr @Poker_Table $rgb(17,166,255) bazooka 28 7 188 328 322 %besthand
  /drawpic -tc @Poker_Table 0 5 208 %mircdir $+ poker2\seperator.bmp
  if (%dealnewgame = newgame.bmp) {
    if (%winlose = youlose.bmp) { /drawpic -tc @Poker_Table 0 115 230 %mircdir $+ poker2\ $+ %winlose }
    if (%winlose = youwin.bmp) {
      /drawpic -tc @Poker_Table 0 90 230 %mircdir $+ poker2\ $+ %winlose
      /drawtext -cr @Poker_Table $rgb(129,4,109) bazooka 22 185 233 326 324 $ $+ %prize
      /drawtext -cr @Poker_Table $rgb(216,0,174) bazooka 22 187 231 328 322 $ $+ %prize
    }
  }
  if (bank isin %winlose) { /drawpic -tc @Poker_Table 0 65 230 %mircdir $+ poker2\ $+ %winlose }
  if (%youowe = OFF) {
    /drawpic -tc @Poker_Table 0 5 290 %mircdir $+ poker2\youhave.bmp
    /drawtext -cr @Poker_Table $rgb(105,0,0) bazooka 22 126 294 126 324 $ $+ %totalcredit
    /drawtext -cr @Poker_Table $rgb(238,0,0) bazooka 22 128 292 128 322 $ $+ %totalcredit
  }
  if (%youowe = ON) {
    /drawpic -tc @Poker_Table 0 5 290 %mircdir $+ poker2\youowe.bmp
    /drawtext -cr @Poker_Table $rgb(105,0,0) bazooka 22 126 294 326 324 $ $+ %owebank
    /drawtext -cr @Poker_Table $rgb(238,0,0) bazooka 22 128 292 328 322 $ $+ %owebank
  }
  /drawpic -tc @Poker_Table 0 5 320 %mircdir $+ poker2\betamount.bmp
  /drawtext -cr @Poker_Table $rgb(105,0,0) bazooka 22 126 324 126 324 $ $+ %pokerbet
  /drawtext -cr @Poker_Table $rgb(238,0,0) bazooka 22 128 322 128 322 $ $+ %pokerbet
  if (%pokerbet = 5) { /drawpic -tc @Poker_Table 0 210 255 %mircdir $+ poker2\pokerchip5.bmp }
  if (%pokerbet = 10) { /drawpic -tc @Poker_Table 0 210 255 %mircdir $+ poker2\pokerchip10.bmp }
  if (%pokerbet = 15) { /drawpic -tc @Poker_Table 0 210 255 %mircdir $+ poker2\pokerchip15.bmp }
  if (%pokerbet = 20) { /drawpic -tc @Poker_Table 0 210 255 %mircdir $+ poker2\pokerchip20.bmp }
  if (%pokerbet = 25) { /drawpic -tc @Poker_Table 0 210 255 %mircdir $+ poker2\pokerchip25.bmp }
}

alias besthand {
  set %besthand 
  set %oddspace 
  set %pair
  if (%bestcard1 = 1) { set %bestcard1 0 } | if (%bestcard2 = 1) { set %bestcard2 0 } | if (%bestcard3 = 1) { set %bestcard3 0 } | if (%bestcard4 = 1) { set %bestcard4 0 } | if (%bestcard5 = 1) { set %bestcard5 0 }
  set %bestall %bestcard1 $+ %bestcard2 $+ %bestcard3 $+ %bestcard4 $+ %bestcard5
  if (A isin %bestall) { Set %bestcard A | goto besthand }
  if (K isin %bestall) { Set %bestcard K | goto besthand }
  if (Q isin %bestall) { Set %bestcard Q | goto besthand }
  if (J isin %bestall) { Set %bestcard J | goto besthand }
  if (0 isin %bestall) { Set %bestcard 0 | goto besthand }
  if (9 isin %bestall) { Set %bestcard 9 | goto besthand }
  if (8 isin %bestall) { Set %bestcard 8 | goto besthand }
  if (7 isin %bestall) { Set %bestcard 7 | goto besthand }
  if (6 isin %bestall) { Set %bestcard 6 | goto besthand }
  if (5 isin %bestall) { Set %bestcard 5 | goto besthand }
  if (4 isin %bestall) { Set %bestcard 4 | goto besthand }
  if (3 isin %bestall) { Set %bestcard 3 | goto besthand }
  if (2 isin %bestall) { Set %bestcard 2 | goto besthand }
  :besthand
  if (%bestcard1 isin %bestcard2) { set %pair %pair $+ %bestcard1 $+ %bestcard1 }
  if (%bestcard1 isin %bestcard3) { set %pair %pair $+ %bestcard1 $+ %bestcard1 }
  if (%bestcard1 isin %bestcard4) { set %pair %pair $+ %bestcard1 $+ %bestcard1 }
  if (%bestcard1 isin %bestcard5) { set %pair %pair $+ %bestcard1 $+ %bestcard1 }
  if (%bestcard2 isin %bestcard3) { set %pair %pair $+ %bestcard2 $+ %bestcard2 }
  if (%bestcard2 isin %bestcard4) { set %pair %pair $+ %bestcard2 $+ %bestcard2 }
  if (%bestcard2 isin %bestcard5) { set %pair %pair $+ %bestcard2 $+ %bestcard2 }
  if (%bestcard3 isin %bestcard4) { set %pair %pair $+ %bestcard3 $+ %bestcard3 }
  if (%bestcard3 isin %bestcard5) { set %pair %pair $+ %bestcard3 $+ %bestcard3 }
  if (%bestcard4 isin %bestcard5) { set %pair %pair $+ %bestcard4 $+ %bestcard4 }
  set %besthand %bestcard | set %cardleft1 $left(%pair, 1) | set %cardright1 $right(%pair,1) | set %cardmid5 $mid(%pair,5,1)
  if (%besthand = 0) { set %besthand 10 } | if (%cardleft1 = 0) { set %cardleft1 10 } | if (%cardright1 = 0) { set %cardright1 10 } | if (%cardmid5 = 0) { set %cardmid5 10 }
  if (%besthand = 1) { set %besthand 10 } | if (%cardleft1 = 1) { set %cardleft1 10 } | if (%cardright1 = 1) { set %cardright1 10 } | if (%cardmid5 = 1) { set %cardmid5 10 }
  if ($len(%pair) = 2) {
    set %besthand Pair Of %cardleft1
    if (%dealnewgame = newgame.bmp) {
      if (%cardleft1 <= 9) {
        set %winlose youlose.bmp | set %prize 
        goto endgottastraight
      }
      else set %totalcredit $calc(%totalcredit + %pokerbet) | set %winlose youwin.bmp | set %prize %pokerbet | goto endgottastraight
    }
  } 
  if ($len(%pair) = 4) { set %besthand Two Pair: %cardleft1 and %cardright1
    if (%dealnewgame = newgame.bmp) {
      set %totalcredit $calc(%totalcredit + $calc(%pokerbet * 2))
      set %winlose youwin.bmp | set %prize $calc(%pokerbet * 2)
    }
    goto endgottastraight
  }
  if ($len(%pair) = 6) { set %besthand Three Of A Kind: %cardleft1
    if (%dealnewgame = newgame.bmp) {
      set %totalcredit $calc(%totalcredit + $calc(%pokerbet * 3))
      set %winlose youwin.bmp | set %prize $calc(%pokerbet * 3)
    }
    goto endgottastraight
  }
  if ($len(%pair) = 8) {
    if (%cardleft1 = %cardright1) { set %besthand Full House! %cardleft1 and %cardmid5 }
    else set %besthand Full House! %cardleft1 and %cardright1
    if (%dealnewgame = newgame.bmp) {
      set %totalcredit $calc(%totalcredit + $calc(%pokerbet * 8))
      set %winlose youwin.bmp | set %prize $calc(%pokerbet * 8)
    }
    goto endgottastraight
  }
  if ($len(%pair) = 12) { set %besthand Four Of A Kind: %cardleft1
    if (%dealnewgame = newgame.bmp) {
      set %totalcredit $calc(%totalcredit + $calc(%pokerbet * 20))
      set %winlose youwin.bmp | set %prize $calc(%pokerbet * 20)
    }
    goto endgottastraight
  }
  :begingottaflush
  if (spade isin %card1) {
    if (spade isin %card2) {
      if (spade isin %card3) {
        if (spade isin %card4) {
          if (spade isin %card5) {
            set %besthand  A Flush! All Spades!
          } 
        }
      }
    }
  }
  if (club isin %card1) {
    if (club isin %card2) {
      if (club isin %card3) {
        if (club isin %card4) {
          if (club isin %card5) {
            set %besthand  A Flush! All Clubs!
          } 
        }
      }
    }
  }
  if (heart isin %card1) {
    if (heart isin %card2) {
      if (heart isin %card3) {
        if (heart isin %card4) {
          if (heart isin %card5) {
            set %besthand  A Flush! All Hearts!
          } 
        }
      }
    }
  }
  if (diamond isin %card1) {
    if (diamond isin %card2) {
      if (diamond isin %card3) {
        if (diamond isin %card4) {
          if (diamond isin %card5) {
            set %besthand  A Flush! All Diamonds!
          } 
        }
      }
    }
  }
  if (0 isin %card1val) { set %card1val 10 }
  if (A isin %card1val) { set %card1val 14 | set %card6val 1 }
  if (J isin %card1val) { set %card1val 11 }
  if (Q isin %card1val) { set %card1val 12 }
  if (K isin %card1val) { set %card1val 13 }
  if (0 isin %card2val) { set %card2val 10 }
  if (A isin %card2val) { set %card2val 14 | set %card6val 1 }
  if (J isin %card2val) { set %card2val 11 }
  if (Q isin %card2val) { set %card2val 12 }
  if (K isin %card2val) { set %card2val 13 }
  if (0 isin %card3val) { set %card3val 10 }
  if (A isin %card3val) { set %card3val 14 | set %card6val 1 }
  if (J isin %card3val) { set %card3val 11 }
  if (Q isin %card3val) { set %card3val 12 }
  if (K isin %card3val) { set %card3val 13 }
  if (0 isin %card4val) { set %card4val 10 }
  if (A isin %card4val) { set %card4val 14 | set %card6val 1 }
  if (J isin %card4val) { set %card4val 11 }
  if (Q isin %card4val) { set %card4val 12 }
  if (K isin %card4val) { set %card4val 13 }
  if (0 isin %card5val) { set %card5val 10 }
  if (A isin %card5val) { set %card5val 14 | set %card6val 1 }
  if (J isin %card5val) { set %card5val 11 }
  if (Q isin %card5val) { set %card5val 12 }
  if (K isin %card5val) { set %card5val 13 }
  set %straightbesthand  $+ %card6val $+  $+ %card1val $+  $+ %card2val $+  $+ %card3val $+  $+ %card4val $+  $+ %card5val
  if (%oddspace $+ $calc(%card1val + 1) isin %straightbesthand) {
    if (%oddspace $+ $calc(%card1val + 2) isin %straightbesthand) {
      if (%oddspace $+ $calc(%card1val + 3) isin %straightbesthand) {
        if (%oddspace $+ $calc(%card1val + 4) isin %straightbesthand) { goto gottastraight }
        else goto next1
      }
      else goto next1
    }
    else goto next1
  }
  else goto next1
  :next1
  if (%oddspace $+ $calc(%card2val + 1) isin %straightbesthand) {
    if (%oddspace $+ $calc(%card2val + 2) isin %straightbesthand) {
      if (%oddspace $+ $calc(%card2val + 3) isin %straightbesthand) {
        if (%oddspace $+ $calc(%card2val + 4) isin %straightbesthand) { goto gottastraight }
        else goto next2
      }
      else goto next2
    }
    else goto next2
  }
  else goto next2
  :next2
  if (%oddspace $+ $calc(%card3val + 1) isin %straightbesthand) {
    if (%oddspace $+ $calc(%card3val + 2) isin %straightbesthand) {
      if (%oddspace $+ $calc(%card3val + 3) isin %straightbesthand) {
        if (%oddspace $+ $calc(%card3val + 4) isin %straightbesthand) { goto gottastraight }
        else goto next3
      }
      else goto next3
    }
    else goto next3
  }
  else goto next3
  :next3
  if (%oddspace $+ $calc(%card4val + 1) isin %straightbesthand) {
    if (%oddspace $+ $calc(%card4val + 2) isin %straightbesthand) {
      if (%oddspace $+ $calc(%card4val + 3) isin %straightbesthand) {
        if (%oddspace $+ $calc(%card4val + 4) isin %straightbesthand) { goto gottastraight }
        else goto next4
      }
      else goto next4
    }
    else goto next4
  }
  else goto next4
  :next4
  if (%oddspace $+ $calc(%card5val + 1) isin %straightbesthand) {
    if (%oddspace $+ $calc(%card5val + 2) isin %straightbesthand) {
      if (%oddspace $+ $calc(%card5val + 3) isin %straightbesthand) {
        if (%oddspace $+ $calc(%card5val + 4) isin %straightbesthand) { goto gottastraight }
        else goto next5
      }
      else goto next5
    }
    else goto next5
  }
  else goto next5
  :next5
  if (%card6val = 1) {
    if (%oddspace $+ $calc(%card6val + 1) isin %straightbesthand) {
      if (%oddspace $+ $calc(%card6val + 2) isin %straightbesthand) {
        if (%oddspace $+ $calc(%card6val + 3) isin %straightbesthand) {
          if (%oddspace $+ $calc(%card6val + 4) isin %straightbesthand) { set %bestcard 5 | goto gottastraight }
          else goto next6
        }
        else goto next6
      }
      else goto next6
    }
    else goto next6
  }
  :next6
  goto endgottastraight
  :gottastraight
  if (All isin %besthand) {
    set %besthand Straight FLUSH! %bestcard High!
    if (%card6val = 1) {
      if (%bestcard = A) { Set %besthand Straight FLUSH! A High! }
      if (14 isin %straightbesthand) { 
        if (5 isin %straightbesthand) { 
          set %besthand Straight FLUSH!! 5 High!!
        }
      }    
    }
    if (%dealnewgame = newgame.bmp) {
      set %totalcredit $calc(%totalcredit + $calc(%pokerbet * 50))
      set %winlose youwin.bmp | set %prize $calc(%pokerbet * 50)
    }
    goto endgottastraight
  }
  if (%card6val = 1) {
    if (%bestcard = A) { Set %besthand Straight! A High! }
    if (14 isin %straightbesthand) {
      if (5 isin %straightbesthand) {
        set %besthand Straight! 5 High!
      }
    }
  }
  if (%bestcard = 0) { set %bestcard 10 }
  set %besthand Straight! %bestcard High!
  if (%dealnewgame = newgame.bmp) {
    set %totalcredit $calc(%totalcredit + $calc(%pokerbet * 5))
    set %winlose youwin.bmp | set %prize $calc(%pokerbet * 5)
  }
  :endgottastraight
  if (%dealnewgame = newgame.bmp) {
    if (All isin %besthand) {
      set %totalcredit $calc(%totalcredit + $calc(%pokerbet * 7))
      set %winlose youwin.bmp | set %prize $calc(%pokerbet * 7)
    }
    if ($len(%besthand) < 3) { set %winlose youlose.bmp | set %prize  }
  }
  if ($len(%besthand) > 10) {
    set %besthandspace $int($calc((32 - $len(%besthand)) / 2))
    goto spacecow
  }
  if ($len(%besthand) = 1) {
    set %besthandspace $int($calc((43 - $len(%besthand)) / 2))
    goto spacecow
  }
  set %besthandspace $int($calc((40 - $len(%besthand)) / 2))
  :spacecow
  set %besthandspace $left(,%besthandspace)
  set %besthand %besthandspace $+ %besthand
}

alias shuffle {
  set %card1.tog draw.bmp
  set %card2.tog draw.bmp
  set %card3.tog draw.bmp
  set %card4.tog draw.bmp
  set %card5.tog draw.bmp
  set %draw OFF
  set %youowe OFF
  set %dealnewgame deal.bmp
  set %writeline 1
  set %card6val 
  if (%fdraw = OFF) {
    set %totalcredit $calc(%totalcredit - %pokerbet)
  }
  :loop
  if (%writeline = 53) {
    dealself
    set %fdraw ON
    halt
  }
  set %readline $read -nl $+ %writeline $mircdir $+ poker2\cards2.txt
  /write -nl $+ %writeline $mircdir $+ poker2\cards.txt %readline
  inc %writeline
  goto loop
}

alias dealselfclick {
  if (%dealnewgame = newgame.bmp) { goto dealnewgame }
  if (($1 > 17) && ($1 < 300 )) {
    if (($2 > 15) && ($2 < 103)) {
      if ($1 < 68) {
        if (%card1.tog = draw.bmp) { set %card1.tog hold.bmp | dealself | halt }
        if (%card1.tog = hold.bmp) { set %card1.tog draw.bmp | dealself | halt }
      }
      if (($1 > 73) && ($1 < 126)) {
        if (%card2.tog = draw.bmp) { set %card2.tog hold.bmp | dealself | halt }
        if (%card2.tog = hold.bmp) { set %card2.tog draw.bmp | dealself | halt }
      }
      if (($1 > 131) && ($1 < 184)) {
        if (%card3.tog = draw.bmp) { set %card3.tog hold.bmp | dealself | halt }
        if (%card3.tog = hold.bmp) { set %card3.tog draw.bmp | dealself | halt }
      }
      if (($1 > 189) && ($1 < 242)) {
        if (%card4.tog = draw.bmp) { set %card4.tog hold.bmp | dealself | halt }
        if (%card4.tog = hold.bmp) { set %card4.tog draw.bmp | dealself | halt }
      }
      if (($1 > 247) && ($1 < 300)) {
        if (%card5.tog = draw.bmp) { set %card5.tog hold.bmp | dealself | halt }
        if (%card5.tog = hold.bmp) { set %card5.tog draw.bmp | dealself | halt }
      }
    }
  }
  :dealnewgame
  if (($1 > 84) && ($1 < 221)) {
    if (($2 > 119) && ($2 < 147)) {
      set %bankclick ON
      if (%dealnewgame = deal.bmp) { set %dealnewgame newgame.bmp | set %draw OFF | dealself | halt }
      set %dealnewgame deal.bmp | shuffle | halt
    }
  }
  if (($1 > 9) && ($1 < 160)) {
    if (($2 > 323) && ($2 < 336)) {
      if (%dealnewgame = deal.bmp) {
        /drawtext -cr @Poker_Table $rgb(105,0,0) bazooka 22 160 324 160 324 CAN'T CHANGE YET
        /drawtext -cr @Poker_Table $rgb(238,0,0) bazooka 22 162 322 162 322 CAN'T CHANGE YET
        halt
      }
      if (%pokerbet = 25) { set %pokerbet 5 }
      else set %pokerbet $calc(%pokerbet + 5)
      maketable
      halt
    }
  }
  if (($1 > 9) && ($1 < 160)) {
    if (($2 > 289) && ($2 < 402)) {
      if (%youowe = OFF) { set %youowe ON | maketable | halt }
      if (%youowe = ON) { set %youowe OFF | maketable | halt }
    }
  }
  if (($1 > 209) && ($1 < 308)) {
    if (($2 > 254) && ($2 < 353)) {
      if (%dealnewgame = deal.bmp) {
        /drawtext -cr @Poker_Table $rgb(105,0,0) bazooka 22 160 324 160 324 CAN'T CHANGE YET
        /drawtext -cr @Poker_Table $rgb(238,0,0) bazooka 22 162 322 162 322 CAN'T CHANGE YET
        halt
      }
      if (%pokerbet = 25) { set %pokerbet 5 }
      else set %pokerbet $calc(%pokerbet + 5)
      maketable
      halt
    }
  }
  halt
}

alias dealself {
  if (%draw = OFF) { deal }
  if (%bankclick = ON) {
    if (%totalcredit <= 0) {
      set %winlose bankloan.bmp
      set %owebank $calc(%owebank + 100)
      set %totalcredit $calc(%totalcredit + 100)
      goto bank
    }
    if (%totalcredit > 200) {
      if (%dealnewgame = deal.bmp) {
        if (%owebank != 0) {
          set %winlose bankpay.bmp
          set %owebank $calc(%owebank - 100)
          set %totalcredit $calc(%totalcredit - 100)
        }
      }
      goto bank
    }
    :bank
    set %bankclick OFF
  }
  maketable
}

alias deal {
  Set %mircdirectory $mircdir $+ poker2\cards.txt
  Set %NmbrCards $lines(%mircdirectory)
  Set %CardPicked $rand(1,%NmbrCards)
  if (%fdraw = ON) {
    if (%card1.tog = hold.bmp) { goto Card2 }
  }
  Set %card1 $read -l $+ %CardPicked %mircdirectory
  set %card1val $upper($left(%card1, 1))
  /write -dl $+ %CardPicked %mircdirectory
  dec %NmbrCards 1
  Set %CardPicked $rand(1,%NmbrCards)
  set %bestcard1 %card1val
  :Card2
  if (%fdraw = ON) {
    if (%card2.tog = hold.bmp) { goto Card3 }
  }
  Set %card2 $read -l $+ %CardPicked %mircdirectory
  set %card2val $upper($left(%card2, 1))
  /write -dl $+ %CardPicked %mircdirectory
  dec %NmbrCards 1
  Set %CardPicked $rand(1,%NmbrCards)
  set %bestcard2 %card2val
  :Card3
  if (%fdraw = ON) {
    if (%card3.tog = hold.bmp) { goto Card4 }
  }
  Set %card3 $read -l $+ %CardPicked %mircdirectory
  set %card3val $upper($left(%card3, 1))
  /write -dl $+ %CardPicked %mircdirectory
  dec %NmbrCards 1
  Set %CardPicked $rand(1,%NmbrCards)
  set %bestcard3 %card3val
  :Card4
  if (%fdraw = ON) {
    if (%card4.tog = hold.bmp) { goto Card5 }
  }
  Set %card4 $read -l $+ %CardPicked %mircdirectory
  set %card4val $upper($left(%card4, 1))
  /write -dl $+ %CardPicked %mircdirectory
  dec %NmbrCards 1
  Set %CardPicked $rand(1,%NmbrCards)
  set %bestcard4 %card4val
  :Card5
  if (%fdraw = ON) {
    if (%card5.tog = hold.bmp) { goto Card6 }
  }
  Set %card5 $read -l $+ %CardPicked %mircdirectory
  set %card5val $upper($left(%card5, 1))
  /write -dl $+ %CardPicked %mircdirectory
  set %bestcard5 %card5val
  :Card6
  Set %cardspace 
  if (%card1val = 1) { set %card1val 0 }
  if (%card2val = 1) { set %card2val 0 }
  if (%card3val = 1) { set %card3val 0 }
  if (%card4val = 1) { set %card4val 0 }
  if (%card5val = 1) { set %card5val 0 }
  set %fdraw OFF
  set %draw ON
  besthand
}
